# Frequently Asked Questions and forecasting tips

Thank you for choosing skforecast and visiting our Frequently Asked Questions (FAQ) page. Here, we aim to provide solutions to commonly encountered issues on our Github repository. If your question is not answered on this page, we encourage you to create a new issue on our [Github](https://github.com/skforecast/skforecast/issues) so that it can be addressed, and other users can also benefit from it. Additionally, we have included some forecasting tips to help you get the most out of skforecast.

<span style="font-size: 1.3em;">General Forecasting Tips</span>

+ [Avoid negative predictions when forecasting](../faq/non-negative-predictions.html)
+ [Forecasting time series with missing values](../faq/forecasting-time-series-with-missing-values.html)
+ [Forecasting with delayed historical data](../faq/forecasting-with-delayed-historical-data.html)
+ [Backtesting vs One-step-ahead](../faq/parameters-search-backtesting-vs-one-step-ahead.html)

<span style="font-size: 1.3em;">Feature Engineering</span>

+ [Cyclical features in time series](../faq/cyclical-features-time-series.html)
+ [Time series aggregation](../faq/time-series-aggregation.html)

<span style="font-size: 1.3em;">Performance Optimization</span>

+ [Parallelization in skforecast](../faq/parallelization-skforecast.html)
+ [Profiling skforecast](../faq/profiling-skforecast.html)
